# see https://EditorConfig.org

root = true

[*]
charset = utf-8
end_of_line = lf
indent_size = tab
indent_style = tab
tab_width = 4
insert_final_newline = true
max_line_length = 80
trim_trailing_whitespace = true
curly_bracket_next_line = false
indent_brace_style = K&R
spaces_around_operators = true
spaces_around_brackets = false
quote_type = double

[*.y{,a}ml{,lint}]
indent_style = space
indent_size = 2

[*.md]
indent_style = space
indent_size = 2

